<?php
class ControllerInformationInformationLander extends Controller {
	private $error = array();
	  
	public function index() {
		$this->language->load('information/information_lander');

		$this->document->setTitle($this->language->get('heading_title'));

		$this->data['breadcrumbs'] = array();

		$this->data['breadcrumbs'][] = array(
			'text'      => $this->language->get('text_home'),
			'href'      => $this->url->link('common/home'),
			'separator' => false
		);

		$this->data['breadcrumbs'][] = array(
			'text'      => $this->language->get('heading_title'),
			'href'      => $this->url->link('information/information_lander'),
			'separator' => $this->language->get('text_separator')
		);   

		$this->data['heading_title'] = $this->language->get('heading_title');
		$this->data['heading_summary'] = $this->language->get('heading_summary');
		
		// Load information page directory in model
		$this->load->model('catalog/information');
		
		$this->data['informations'] = array();
    	
		foreach ($this->model_catalog_information->getInformations() as $result) {
      		$this->data['informations'][] = array(
        		'title' => $result['title'],
        		'href'  => $this->url->link('information/information', 'information_id=' . $result['information_id']) 
      		);
    	}
		
		if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/information/information_lander.tpl')) {
			$this->template = $this->config->get('config_template') . '/template/information/information_lander.tpl';
		} else {
			$this->template = 'default/template/information/information_lander.tpl';
		}

		$this->children = array(
			'common/column_left',
			'common/column_right',
			'common/content_top',
			'common/content_bottom',
			'common/footer',
			'common/header'
		);

		$this->response->setOutput($this->render());      
	}
}
?>